#pragma once
#include "colorstatic.h"
#include "afxwin.h"


// CDlg_Walls dialog

class CDlg_Walls : public CDialog
{
	DECLARE_DYNAMIC(CDlg_Walls)

public:
	CDlg_Walls(CWnd* pParent = NULL);   // standard constructor
	virtual ~CDlg_Walls();

// Dialog Data
	//enum { IDD = IDD_WALLS };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	virtual BOOL OnInitDialog();
	afx_msg void AddStringsToComboBoxesForWallsDlg();
	afx_msg void ReadPreviousInputsFromWallsDlg();
	afx_msg void ReadInputsFromWallsDlg();
	afx_msg void CheckWallNameStrings();

	DECLARE_MESSAGE_MAP()
public:
	CColorStatic m_labelHLWalls;
	CButton m_btnWall1;
	CButton m_btnWall2;
	CButton m_btnWall3;
	CButton m_btnWall4;
	CButton m_btnWall5;
	CButton m_btnWall6;
	CButton m_btnWall7;
	CButton m_btnWall8;
	CButton m_btnWall9;
	CButton m_btnWall10;
	CEdit m_editWall1Name;
	CEdit m_editWall2Name;
	CEdit m_editWall3Name;
	CEdit m_editWall4Name;
	CEdit m_editWall5Name;
	CEdit m_editWall6Name;
	CEdit m_editWall7Name;
	CEdit m_editWall8Name;
	CEdit m_editWall9Name;
	CEdit m_editWall10Name;
	CComboBox m_comboWall1Construction;
	CComboBox m_comboWall2Construction;
	CComboBox m_comboWall3Construction;
	CComboBox m_comboWall4Construction;
	CComboBox m_comboWall5Construction;
	CComboBox m_comboWall6Construction;
	CComboBox m_comboWall7Construction;
	CComboBox m_comboWall8Construction;
	CComboBox m_comboWall9Construction;
	CComboBox m_comboWall10Construction;
	CComboBox m_comboWall1Basement;
	CComboBox m_comboWall2Basement;
	CComboBox m_comboWall3Basement;
	CComboBox m_comboWall4Basement;
	CComboBox m_comboWall5Basement;
	CComboBox m_comboWall6Basement;
	CComboBox m_comboWall7Basement;
	CComboBox m_comboWall8Basement;
	CComboBox m_comboWall9Basement;
	CComboBox m_comboWall10Basement;
	CEdit m_editWall1Area;
	CEdit m_editWall2Area;
	CEdit m_editWall3Area;
	CEdit m_editWall4Area;
	CEdit m_editWall5Area;
	CEdit m_editWall6Area;
	CEdit m_editWall7Area;
	CEdit m_editWall8Area;
	CEdit m_editWall9Area;
	CEdit m_editWall10Area;
	CEdit m_editWall1Uvalue;
	CEdit m_editWall2Uvalue;
	CEdit m_editWall3Uvalue;
	CEdit m_editWall4Uvalue;
	CEdit m_editWall5Uvalue;
	CEdit m_editWall6Uvalue;
	CEdit m_editWall7Uvalue;
	CEdit m_editWall8Uvalue;
	CEdit m_editWall9Uvalue;
	CEdit m_editWall10Uvalue;
	CString str_editWall1Name;
	CString str_editWall2Name;
	CString str_editWall3Name;
	CString str_editWall4Name;
	CString str_editWall5Name;
	CString str_editWall6Name;
	CString str_editWall7Name;
	CString str_editWall8Name;
	CString str_editWall9Name;
	CString str_editWall10Name;
	CString str_comboWall1Construction;
	CString str_comboWall2Construction;
	CString str_comboWall3Construction;
	CString str_comboWall4Construction;
	CString str_comboWall5Construction;
	CString str_comboWall6Construction;
	CString str_comboWall7Construction;
	CString str_comboWall8Construction;
	CString str_comboWall9Construction;
	CString str_comboWall10Construction;
	CString str_comboWall1Basement;
	CString str_comboWall2Basement;
	CString str_comboWall3Basement;
	CString str_comboWall4Basement;
	CString str_comboWall5Basement;
	CString str_comboWall6Basement;
	CString str_comboWall7Basement;
	CString str_comboWall8Basement;
	CString str_comboWall9Basement;
	CString str_comboWall10Basement;
	CString str_editWall1Area;
	CString str_editWall2Area;
	CString str_editWall3Area;
	CString str_editWall4Area;
	CString str_editWall5Area;
	CString str_editWall6Area;
	CString str_editWall7Area;
	CString str_editWall8Area;
	CString str_editWall9Area;
	CString str_editWall10Area;
	CString str_editWall1Uvalue;
	CString str_editWall2Uvalue;
	CString str_editWall3Uvalue;
	CString str_editWall4Uvalue;
	CString str_editWall5Uvalue;
	CString str_editWall6Uvalue;
	CString str_editWall7Uvalue;
	CString str_editWall8Uvalue;
	CString str_editWall9Uvalue;
	CString str_editWall10Uvalue;
	afx_msg void OnBnClickedCheck1();
	afx_msg void OnBnClickedCheck3();
	afx_msg void OnBnClickedCheck5();
	afx_msg void OnBnClickedCheck13();
	afx_msg void OnBnClickedCheck8();
	afx_msg void OnBnClickedCheck9();
	afx_msg void OnBnClickedCheck15();
	afx_msg void OnBnClickedCheck16();
	afx_msg void OnBnClickedCheck17();
	afx_msg void OnBnClickedCheck19();
	afx_msg void OnEnChangeEdit12();
	afx_msg void OnEnChangeEdit15();
	afx_msg void OnEnChangeEdit18();
	afx_msg void OnEnChangeEdit21();
	afx_msg void OnEnChangeEdit25();
	afx_msg void OnEnChangeEdit28();
	afx_msg void OnEnChangeEdit31();
	afx_msg void OnEnChangeEdit34();
	afx_msg void OnEnChangeEdit37();
	afx_msg void OnEnChangeEdit40();
	afx_msg void OnCbnSelchangeCombo1();
	afx_msg void OnCbnSelchangeCombo4();
	afx_msg void OnCbnSelchangeCombo12();
	afx_msg void OnCbnSelchangeCombo14();
	afx_msg void OnCbnSelchangeCombo16();
	afx_msg void OnCbnSelchangeCombo18();
	afx_msg void OnCbnSelchangeCombo20();
	afx_msg void OnCbnSelchangeCombo22();
	afx_msg void OnCbnSelchangeCombo24();
	afx_msg void OnCbnSelchangeCombo26();
	afx_msg void OnCbnSelchangeCombo3();
	afx_msg void OnCbnSelchangeCombo11();
	afx_msg void OnCbnSelchangeCombo13();
	afx_msg void OnCbnSelchangeCombo15();
	afx_msg void OnCbnSelchangeCombo17();
	afx_msg void OnCbnSelchangeCombo19();
	afx_msg void OnCbnSelchangeCombo21();
	afx_msg void OnCbnSelchangeCombo23();
	afx_msg void OnCbnSelchangeCombo25();
	afx_msg void OnCbnSelchangeCombo27();
	afx_msg void OnEnChangeEdit13();
	afx_msg void OnEnChangeEdit16();
	afx_msg void OnEnChangeEdit19();
	afx_msg void OnEnChangeEdit22();
	afx_msg void OnEnChangeEdit26();
	afx_msg void OnEnChangeEdit29();
	afx_msg void OnEnChangeEdit32();
	afx_msg void OnEnChangeEdit35();
	afx_msg void OnEnChangeEdit38();
	afx_msg void OnEnChangeEdit41();
	afx_msg void OnEnChangeEdit14();
	afx_msg void OnEnChangeEdit17();
	afx_msg void OnEnChangeEdit20();
	afx_msg void OnEnChangeEdit23();
	afx_msg void OnEnChangeEdit27();
	afx_msg void OnEnChangeEdit30();
	afx_msg void OnEnChangeEdit33();
	afx_msg void OnEnChangeEdit36();
	afx_msg void OnEnChangeEdit39();
	afx_msg void OnEnChangeEdit42();
	afx_msg void OnBnClickedButton3();
	afx_msg void OnBnClickedButton4();
	afx_msg void OnBnClickedButton5();
	afx_msg void OnBnClickedButton6();
	afx_msg void OnBnClickedButton7();
	afx_msg void OnBnClickedButton8();
	afx_msg void OnBnClickedButton9();
	afx_msg void OnBnClickedButton10();
	afx_msg void OnBnClickedButton11();
	afx_msg void OnBnClickedButton12();
	CButton m_openingWall1;
	CButton m_openingWall2;
	CButton m_openingWall3;
	CButton m_openingWall4;
	CButton m_openingWall5;
	CButton m_openingWall6;
	CButton m_openingWall7;
	CButton m_openingWall8;
	CButton m_openingWall9;
	CButton m_openingWall10;
	virtual BOOL PreTranslateMessage(MSG* pMsg);
};


